<IfVersion> apache ошибка

Razer

Случайный прохожий
Привет форумчане, помогите с проблемой настраиваю связку apache+nagios на системе opensuse 13.2. Не запускается веб сервер apache. В файле httpd.conf ругается что не понимает диреткивы <IfVersion >=2.3>, как я понял эти строки добавились при установке нагиоса. Что нужно сделать что бы апач научился понимать эти директивы?
 

Surf_rider

Администратор
Команда форума
Синтаксис верный? Правильно ли собран апач? Прочти http://httpd.apache.org/docs/current/sections.html

Еще вариант.
Попробуй команды:
Код:
nagios:~ # rpm -ql apache2 | grep -i mod_version
Увидишь такое.
/usr/lib64/apache2/mod_version.so
Далее:
Код:
a2enmod version
После этого перезапусти апач
Код:
service apache2 restart
Все заработает
 

Razer

Случайный прохожий
Спасибо, заработало теперь. Еще вопрос. Хочу мониторить состояние порта в cisco 2911 через nagios. Как мне узнать что интерфейс gi0/1 это ifOperStatus.1 к примеру?
 

Surf_rider

Администратор
Команда форума
Код:
snmpwalk -v2c -c public@192.168.1.1 | grep "ifOperStatus"
public - это community.
 
Верх Низ